package org.eclipse.ptp.tau.core.internal;

import org.eclipse.core.resources.ResourcesPlugin;
import org.eclipse.jface.dialogs.Dialog;
import org.eclipse.swt.SWT;
import org.eclipse.swt.widgets.Button;
import org.eclipse.swt.widgets.Composite;
import org.eclipse.swt.widgets.Control;
import org.eclipse.swt.widgets.Label;
import org.eclipse.swt.widgets.Shell;

public class OptionSplash extends Dialog{

	Button autoref;
	Button autobuild;
	Button fixAix;
	Button doagain;
	
	protected OptionSplash(Shell parentShell) {
		super(parentShell);
		
	}

	protected Control createDialogArea(Composite parent) {
		Composite composite = (Composite) super.createDialogArea(parent);
		
		Label introlabel = new Label(composite, SWT.NONE);
		introlabel.setText("Adjusting the following options as suggested in the tooltips may\n" +
				"improve your TAU usage experience.");
		autoref= new Button(composite, SWT.CHECK);
		autoref.setText("Auto-Refresh");
		autoref.setToolTipText("TAU Suggests: On");
		autoref.setSelection(ResourcesPlugin.getPlugin().getPluginPreferences().getBoolean(ResourcesPlugin.PREF_AUTO_REFRESH));
		
		autobuild= new Button(composite, SWT.CHECK);
		autobuild.setText("Auto-Build");
		autobuild.setToolTipText("Tau Suggests: Off");
		autobuild.setSelection(ResourcesPlugin.getPlugin().getPluginPreferences().getBoolean(ResourcesPlugin.PREF_AUTO_BUILDING));
		
		System.out.println(org.eclipse.cdt.utils.Platform.getOS());
		boolean isAIX=org.eclipse.cdt.utils.Platform.getOS().toLowerCase().trim().contains("aix");
			//true;
		//false;
		//if(isAIX)
		{
			//String aixFix="You appear to be running on an AIX system.  Eclipse's default compiler options may not function properly in this environment.  Would you like TAU to automatically adjust your managed-make build configurations for better compatibility before attempting to build?  Builds will have the -wall option disabled, use Eclipse's (experimental) internal make system and automatically select the AIX binary parser.";
			
			//MessageDialogWithToggle checkAixFix= new MessageDialogWithToggle(thisDisplay.getActiveShell(), "Fix managed build for AIX?", null, aixFix, MessageDialog.QUESTION, new String[]{"Yes","No"}, 0, "Ask next time?",false);//thisDisplay.getActiveShell(), SWT.DIALOG_TRIM, true, true, true, true, "Hey", "Yo"
			//checkAutoBR.setBlockOnOpen(true);
			//checkAixFix.open();

			//fixAix= new Button(composite, SWT.CHECK);
			//fixAix.setText("Would you like to do this automatically now?");
			Label aixlabel = new Label(composite, SWT.NONE);
			aixlabel.setText(
			"You appear to be running on an AIX system.  Please be sure to make the\n" +
			"following modifications to your projects' build properties:\n" +
			"Select the Enable Internal Builder under Build Settings\n" +
			"Select the AIX XCOFF32 parser under Binary Parser"
			);
		}
		
		doagain= new Button(composite, SWT.CHECK);
		doagain.setText("Do not show this screen again");
		doagain.setToolTipText("Enable/disable TAU setting splash screen");
		doagain.setSelection(ResourcesPlugin.getPlugin().getPluginPreferences().getBoolean(ResourcesPlugin.PREF_AUTO_REFRESH));
		
		return composite;
	}
	
	protected void okPressed() {
		
		if(autoref!=null)
			ResourcesPlugin.getPlugin().getPluginPreferences().setValue(ResourcesPlugin.PREF_AUTO_REFRESH, autoref.getSelection());
		if(autoref!=null)
			ResourcesPlugin.getPlugin().getPluginPreferences().setValue(ResourcesPlugin.PREF_AUTO_BUILDING, autobuild.getSelection());
		
		super.okPressed();
	}
	
}
